import { FONT_SIZE } from './font-size.token.mjs';
import { FONT_WEIGHT } from './font-weight.token.mjs';
import { LINE_HEIGHT } from './line-height.token.mjs';

var Semantic = {
  /** 프로모션 비주얼 타이틀 */
  h1: {
    fontWeight: FONT_WEIGHT.normal,
    fontSize: FONT_SIZE["4xlarge"],
    lineHeight: LINE_HEIGHT["leading-10"]
  },
  /** 프로모션 비주얼 타이틀(강조시에만 사용) */
  "h1-bold": {
    fontWeight: FONT_WEIGHT.bold,
    fontSize: FONT_SIZE["4xlarge"],
    lineHeight: LINE_HEIGHT["leading-10"]
  },
  /** 페이지 타이틀 */
  "h2-bold": {
    fontWeight: FONT_WEIGHT.bold,
    fontSize: FONT_SIZE["3xlarge"],
    lineHeight: LINE_HEIGHT["leading-9"]
  },
  /** 오늘의 할 일, 통계 등의 숫자 요약 primary */
  "h3-bold": {
    fontWeight: FONT_WEIGHT.bold,
    fontSize: FONT_SIZE["2xlarge"],
    lineHeight: LINE_HEIGHT["leading-7"]
  },
  /** 오늘의 할 일, 통계 등의 숫자 요약 primary */
  "h4-bold": {
    fontWeight: FONT_WEIGHT.bold,
    fontSize: FONT_SIZE.xlarge,
    lineHeight: LINE_HEIGHT["leading-6"]
  },
  /** 프로모션 배너 타이틀 */
  h5: {
    fontWeight: FONT_WEIGHT.normal,
    fontSize: FONT_SIZE.large,
    lineHeight: LINE_HEIGHT["leading-7"]
  },
  /** 카드 타이틀, 프로모션 배너 타이틀(강조시에만 사용) */
  "h5-bold": {
    fontWeight: FONT_WEIGHT.bold,
    fontSize: FONT_SIZE.large,
    lineHeight: LINE_HEIGHT["leading-7"]
  },
  h6: {
    fontWeight: FONT_WEIGHT.normal,
    fontSize: FONT_SIZE.base,
    lineHeight: LINE_HEIGHT["leading-6"]
  },
  /** (only card) 서브 타이틀 */
  "h6-bold": {
    fontWeight: FONT_WEIGHT.bold,
    fontSize: FONT_SIZE.base,
    lineHeight: LINE_HEIGHT["leading-6"]
  },
  /** 큰 버튼 텍스트 */
  p16: {
    fontWeight: FONT_WEIGHT.normal,
    fontSize: FONT_SIZE.base,
    lineHeight: LINE_HEIGHT["leading-6"]
  },
  "p16-bold": {
    fontWeight: FONT_WEIGHT.bold,
    fontSize: FONT_SIZE.base,
    lineHeight: LINE_HEIGHT["leading-6"]
  },
  /** 기본 텍스트 */
  p14: {
    fontWeight: FONT_WEIGHT.normal,
    fontSize: FONT_SIZE.small,
    lineHeight: LINE_HEIGHT["leading-5"]
  },
  /** 기본 텍스트(강조시에만 사용) */
  "p14-bold": {
    fontWeight: FONT_WEIGHT.bold,
    fontSize: FONT_SIZE.small,
    lineHeight: LINE_HEIGHT["leading-5"]
  },
  /** 서브 텍스트 */
  p12: {
    fontWeight: FONT_WEIGHT.normal,
    fontSize: FONT_SIZE.xsmall,
    lineHeight: LINE_HEIGHT["leading-4"]
  },
  /** 서브 텍스트(강조시에만 사용) */
  "p12-bold": {
    fontWeight: FONT_WEIGHT.bold,
    fontSize: FONT_SIZE.xsmall,
    lineHeight: LINE_HEIGHT["leading-4"]
  },
  /** 라벨 */
  l14: {
    fontWeight: FONT_WEIGHT.bold,
    fontSize: FONT_SIZE.small,
    lineHeight: LINE_HEIGHT["leading-5"]
  },
  /** tag, chips, badge, etc */
  l11: {
    fontWeight: FONT_WEIGHT.normal,
    fontSize: FONT_SIZE["2xsmall"],
    lineHeight: LINE_HEIGHT["leading-3"]
  }
};

export { Semantic };
